%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  ChineseNames
%global packver   2023.8
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          2023.8
Release:          1%{?dist}%{?buildtag}
Summary:          Chinese Name Database 1930-2008

License:          GPL-3
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 4.0.0
Requires:         R-core >= 4.0.0
BuildArch:        noarch
BuildRequires:    R-CRAN-bruceR 
BuildRequires:    R-CRAN-data.table 
Requires:         R-CRAN-bruceR 
Requires:         R-CRAN-data.table 

%description
A database of Chinese surnames and Chinese given names (1930-2008). This
database contains nationwide frequency statistics of 1,806 Chinese
surnames and 2,614 Chinese characters used in given names, covering about
1.2 billion Han Chinese population (96.8%% of the Han Chinese
household-registered population born from 1930 to 2008 and still alive in
2008). This package also contains a function for computing multiple
features of Chinese surnames and Chinese given names for scientific
research (e.g., name uniqueness, name gender, name valence, and name
warmth/competence).

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
